diff --git a/src/main/java/net/betterthanadventure/utils/DataDumper.java b/src/main/java/net/betterthanadventure/utils/DataDumper.java
index 7e3590974..6e62d8e54 100644
--- a/src/main/java/net/betterthanadventure/utils/DataDumper.java
+++ b/src/main/java/net/betterthanadventure/utils/DataDumper.java
@@ -13,11 +13,11 @@ import net.minecraft.core.data.tag.Tag;
 import net.minecraft.core.entity.SkinVariantList;
 import net.minecraft.core.entity.SpawnListEntry;
 import net.minecraft.core.enums.MobCategory;
-import net.minecraft.core.item.FoodItem;
+import net.minecraft.core.item.ItemFood;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.item.tag.ItemTags;
-import net.minecraft.core.item.tool.PickaxeToolItem;
+import net.minecraft.core.item.tool.ItemToolPickaxe;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.Biome;
@@ -116,7 +116,7 @@ public class DataDumper implements MinecraftAccessor {
                 .append(item.id).append(",")
                 .append(item.getKey()).append(",")
                 .append(item.getMaxDamage()).append(",")
-                .append(item instanceof FoodItem ? ((FoodItem) item).getHealAmount() : "").append(",")
+                .append(item instanceof ItemFood ? ((ItemFood) item).getHealAmount() : "").append(",")
                 .append(item.getItemStackLimit()).append(",")
                 .append("\"").append(translator.translateNameKey(item.getKey())).append("\"").append(",")
                 .append("\"").append(translator.translateDescKey(item.getKey())).append("\"").append(",");
@@ -132,7 +132,7 @@ public class DataDumper implements MinecraftAccessor {
                 .append(block.getKey()).append(",")
                 .append(block.getHardness()).append(",")
                 .append(block.getBlastResistance(null)).append(",")
-                .append(PickaxeToolItem.miningLevels.getOrDefault(block, 0)).append(",")
+                .append(ItemToolPickaxe.miningLevels.getOrDefault(block, 0)).append(",")
                 .append(block.asItem().getItemStackLimit()).append(",")
                 .append("\"").append(translator.translateNameKey(block.getKey())).append("\"").append(",")
                 .append("\"").append(translator.translateDescKey(block.getKey())).append("\"").append(",");
diff --git a/src/main/java/net/minecraft/client/Minecraft.java b/src/main/java/net/minecraft/client/Minecraft.java
index 7f00ea053..8e339a871 100644
--- a/src/main/java/net/minecraft/client/Minecraft.java
+++ b/src/main/java/net/minecraft/client/Minecraft.java
@@ -19,19 +19,21 @@ import java.util.*;
 import com.mojang.logging.LogUtils;
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.client.entity.ClientSkinVariantList;
+import net.minecraft.client.entity.player.PlayerLocal;
 import net.minecraft.client.gui.*;
-import net.minecraft.client.gui.achievements.AchievementsScreen;
-import net.minecraft.client.gui.chat.ChatScreen;
-import net.minecraft.client.gui.chat.SleepScreenMP;
-import net.minecraft.client.gui.toasts.HudToastsElement;
+import net.minecraft.client.gui.achievements.ScreenAchievements;
+import net.minecraft.client.gui.chat.ScreenChat;
+import net.minecraft.client.gui.chat.ScreenSleepMP;
+import net.minecraft.client.gui.toasts.GuiElementToastsHud;
 import net.minecraft.client.holiday.Holidays;
+import net.minecraft.client.net.handler.PacketHandlerClient;
 import net.minecraft.client.world.chunk.provider.ChunkProviderStatic;
 import net.minecraft.core.achievement.Achievements;
+import net.minecraft.core.block.BlockLeavesBase;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.LoggedPrintStream;
 import net.minecraft.core.util.helper.UUIDHelper;
-import net.minecraft.core.world.SpawnerMobs;
 import net.minecraft.core.world.type.WorldType;
 import net.minecraft.core.world.type.WorldTypeGroups;
 
@@ -49,12 +51,11 @@ import org.lwjgl.input.Mouse;
 import org.lwjgl.opengl.GL11;
 
 import net.minecraft.client.discord.RichPresenceHandlerThread;
-import net.minecraft.client.entity.player.LocalPlayer;
-import net.minecraft.client.entity.player.MultiplayerLocalPlayer;
-import net.minecraft.client.gui.hud.IngameHud;
-import net.minecraft.client.gui.container.InventoryScreen;
-import net.minecraft.client.gui.container.InventoryScreenCreative;
-import net.minecraft.client.gui.modelviewer.ModelViewerScreen;
+import net.minecraft.client.entity.player.PlayerLocalMultiplayer;
+import net.minecraft.client.gui.hud.HudIngame;
+import net.minecraft.client.gui.container.ScreenInventory;
+import net.minecraft.client.gui.container.ScreenInventoryCreative;
+import net.minecraft.client.gui.modelviewer.ScreenModelViewer;
 import net.minecraft.client.gui.popup.PopupScreen;
 import net.minecraft.client.input.InputDevice;
 import net.minecraft.client.input.InputHandler;
@@ -63,7 +64,6 @@ import net.minecraft.client.input.MouseInput;
 import net.minecraft.client.input.PlayerInput;
 import net.minecraft.client.input.controller.ControllerInput;
 import net.minecraft.client.input.controller.Joystick;
-import net.minecraft.client.net.handler.ClientPacketHandler;
 import net.minecraft.client.net.thread.ThreadDownloadResources;
 import net.minecraft.client.option.GameSettings;
 import net.minecraft.client.option.KeyBinding;
@@ -112,11 +112,10 @@ import net.minecraft.core.Timer;
 import net.minecraft.core.UnexpectedThrowable;
 import net.minecraft.core.achievement.stat.StatList;
 import net.minecraft.core.achievement.stat.StatsCounter;
-import net.minecraft.core.block.BaseLeavesBlock;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.data.DataLoader;
 import net.minecraft.core.data.registry.Registries;
-import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.entity.SkinVariantList;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumOS;
@@ -191,7 +190,7 @@ public class Minecraft
     private final Timer timer;
     public World theWorld;
     public RenderGlobal renderGlobal;
-    public LocalPlayer thePlayer;
+    public PlayerLocal thePlayer;
     public ICamera activeCamera;
     public ParticleEngine particleEngine;
     public Session session;
@@ -215,8 +214,8 @@ public class Minecraft
     public WorldRenderer worldRenderer;
     public ThreadDownloadResources downloadResourcesThread;
     private int ticksRan;
-    public HudToastsElement guiToasts;
-    public IngameHud ingameHud;
+    public GuiElementToastsHud guiToasts;
+    public HudIngame hudIngame;
     public boolean skipRenderWorld;
     public HitResult objectMouseOver;
     public GameSettings gameSettings;
@@ -280,7 +279,7 @@ public class Minecraft
         currentScreen = null;
         loadingScreen = new LoadingScreenRenderer(this);
         ticksRan = 0;
-        guiToasts = new HudToastsElement(this);
+        guiToasts = new GuiElementToastsHud(this);
         skipRenderWorld = false;
         objectMouseOver = null;
         sndManager = new SoundEngine();
@@ -358,9 +357,9 @@ public class Minecraft
 			}
 			if(throwable.exception instanceof RuntimeException) {
 				changeWorld(null);
-				MainMenuScreen mainMenuScreen = new MainMenuScreen();
-				displayScreen(mainMenuScreen);
-				PopupScreen error = ExceptionPopupElement.create(mainMenuScreen, throwable.exception, this);
+				ScreenMainMenu screenMainMenu = new ScreenMainMenu();
+				displayScreen(screenMainMenu);
+				PopupScreen error = ExceptionPopupElement.create(screenMainMenu, throwable.exception, this);
 				displayScreen(error);
 			}else {
 				changeWorld(null);
@@ -535,7 +534,7 @@ public class Minecraft
         }
         
         OpenGLHelper.checkError("post startup");
-        ingameHud = new IngameHud(this);
+        hudIngame = new HudIngame(this);
 
         new Registries();
 
@@ -593,28 +592,28 @@ public class Minecraft
         }
 
         if (!hasBeta173) {
-            displayScreen(new MissingMinecraftScreen());
+            displayScreen(new ScreenMissingMinecraft());
         }
         else if (System.getProperty("sun.arch.data.model").equals("32"))
         {
-            displayScreen(new BadJavaArchScreen());
+            displayScreen(new ScreenBadJavaArch());
         }
         else if(serverName != null)
         {
-            displayScreen(new ConnectingScreen(this, serverName, serverPort));
+            displayScreen(new ScreenConnecting(this, serverName, serverPort));
         }
         else if (worldPresetName != null && worldPresetSeed != null)
         {
-            SelectWorldScreen selectWorldScreen = new SelectWorldScreen(null);
-            displayScreen(selectWorldScreen);
-            selectWorldScreen.deletePresetWorld(worldPresetName);
-            CreateWorldScreen screen = new CreateWorldScreen(null);
+            ScreenSelectWorld screenSelectWorld = new ScreenSelectWorld(null);
+            displayScreen(screenSelectWorld);
+            screenSelectWorld.deletePresetWorld(worldPresetName);
+            ScreenCreateWorld screen = new ScreenCreateWorld(null);
             displayScreen(screen);
             screen.runPreset(worldPresetName, worldPresetSeed, worldPresetX, worldPresetY, worldPresetZ);
         }
         else
         {
-            displayScreen(new MainMenuScreen());
+            displayScreen(new ScreenMainMenu());
         }
         gameWindow.updateWindowState();
     }
@@ -801,7 +800,7 @@ public class Minecraft
         {
             currentScreen.removed();
         }
-        if(screen instanceof MainMenuScreen)
+        if(screen instanceof ScreenMainMenu)
         {
             statsCounter.fetchStats();
         }
@@ -810,15 +809,15 @@ public class Minecraft
         }
         if(screen == null && theWorld == null)
         {
-            screen = new MainMenuScreen();
+            screen = new ScreenMainMenu();
         }
         else if(screen == null && thePlayer.getHealth() <= 0)
         {
-            screen = new GameOverScreen();
+            screen = new ScreenGameOver();
         }
-        if(screen instanceof MainMenuScreen)
+        if(screen instanceof ScreenMainMenu)
         {
-            ingameHud.clearChatMessages();
+            hudIngame.clearChatMessages();
         }
         currentScreen = screen;
         if(screen != null)
@@ -900,7 +899,7 @@ public class Minecraft
                     Vec3.initializePool();
                     
                     if(gameWindow.shouldClose()) shutdown();
-                    if(isGamePaused && theWorld != null && !(currentScreen instanceof ModelViewerScreen))
+                    if(isGamePaused && theWorld != null && !(currentScreen instanceof ScreenModelViewer))
                     {
                         float temp = timer.partialTicks;
                         timer.advanceTime();
@@ -934,7 +933,7 @@ public class Minecraft
                             LOGGER.error("MinecraftException occurred while attempting to run tick, exiting world!", e);
                         }
                         changeWorld(null);
-                        displayScreen(new ConflictWarningScreen());
+                        displayScreen(new ScreenConflictWarning());
                     }
                     
                     Debug.change("update"); // 1
@@ -942,8 +941,8 @@ public class Minecraft
 
                     OpenGLHelper.checkError("pre render");
                     RenderBlocks.fancyGrass = gameSettings.fancyGraphics.value == 1;
-                    ItemEntity.enableItemClumping = gameSettings.enableItemClumping.value;
-                    BaseLeavesBlock.enableTreeShadowing = gameSettings.treeShadows.value;
+                    EntityItem.enableItemClumping = gameSettings.enableItemClumping.value;
+                    BlockLeavesBase.enableTreeShadowing = gameSettings.treeShadows.value;
                     sndManager.updateListener(thePlayer, timer.partialTicks);
                     glEnable(GL_TEXTURE_2D);
                     if(theWorld != null)
@@ -1039,12 +1038,12 @@ public class Minecraft
                 {
                     theWorld = null;
                     changeWorld(null);
-                    displayScreen(new ConflictWarningScreen());
+                    displayScreen(new ScreenConflictWarning());
                 }
                 catch(OutOfMemoryError outofmemoryerror)
                 {
                     freeUpMemory();
-                    displayScreen(new OutOfMemoryScreen());
+                    displayScreen(new ScreenOutOfMemory());
                     System.gc();
                 }
                 catch(Throwable throwable)
@@ -1102,13 +1101,13 @@ public class Minecraft
 					if(Shaders.enableShaders) {
 						try {
 							screenshotHelper.takePanoramaScreenshot();
-							ingameHud.addChatMessage("Saved panorama screenshot!");
+							hudIngame.addChatMessage("Saved panorama screenshot!");
 						}catch (Exception e) {
                             LOGGER.error("Exception occurred while taking panoramic screenshot!", e);
 						}
 					}
 				}else {
-					ingameHud.addChatMessage(ScreenShot.saveScreenshot(minecraftDir, gameWindow.getWidthPixels(), gameWindow.getHeightPixels()));
+					hudIngame.addChatMessage(ScreenShot.saveScreenshot(minecraftDir, gameWindow.getWidthPixels(), gameWindow.getHeightPixels()));
 				}
 				Debug.pop();
 			}
@@ -1159,7 +1158,7 @@ public class Minecraft
     {
         if(currentScreen == null)
         {
-            displayScreen(new PauseScreen());
+            displayScreen(new ScreenPause());
         }
     }
 
@@ -1364,7 +1363,7 @@ public class Minecraft
         Debug.push("gui");
         subtitleTracker.tick();
         statsCounter.tick();
-        ingameHud.updateTick();
+        hudIngame.updateTick();
         Debug.change("misc");
         worldRenderer.getMouseOver(1.0F);
         if(thePlayer != null)
@@ -1392,16 +1391,16 @@ public class Minecraft
             {
                 if(theWorld.isClientSide)
                 {
-                    displayScreen(new SleepScreenMP());
+                    displayScreen(new ScreenSleepMP());
                 }
                 else
                 {
-                    displayScreen(new SleepScreenSP());
+                    displayScreen(new ScreenSleepSP());
                 }
                 
             }
         }
-        else if(currentScreen != null && (currentScreen instanceof SleepScreenMP) && !thePlayer.isPlayerSleeping())
+        else if(currentScreen != null && (currentScreen instanceof ScreenSleepMP) && !thePlayer.isPlayerSleeping())
         {
             displayScreen(null);
         }
@@ -1449,7 +1448,7 @@ public class Minecraft
                         	gameSettings.flightSpeed.value = newSpeed;
                         	
                         	thePlayer.setFlySpeed(newSpeed);
-                        	ingameHud.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.flightSpeed);
+                        	hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.flightSpeed);
                         }
                         else if (!gameSettings.keyZoom.isPressed())
                         {
@@ -1522,13 +1521,13 @@ public class Minecraft
                         if (gameSettings.keyToggleDebug.isPressed())
                         {
                             if(Keyboard.getEventKey() == Keyboard.KEY_Q) {
-                                ingameHud.addChatMessage(TextFormatting.YELLOW + "Keyboard shortcuts: ");
+                                hudIngame.addChatMessage(TextFormatting.YELLOW + "Keyboard shortcuts: ");
                                 gameSettings.debugsKeys.sort(Comparator.comparing(KeyBinding::getKeyName));
                                 for (KeyBinding binding: gameSettings.debugsKeys){
-                                    ingameHud.addChatMessage(String.format("%s + %s: %s", gameSettings.keyToggleDebug.getKeyName(), binding.getKeyName(), I18n.getInstance().translateKey(binding.getId())));
+                                    hudIngame.addChatMessage(String.format("%s + %s: %s", gameSettings.keyToggleDebug.getKeyName(), binding.getKeyName(), I18n.getInstance().translateKey(binding.getId())));
                                 }
-                                ingameHud.addChatMessage(String.format("%s: %s", gameSettings.keyToggleTextureAtlas.getKeyName(), I18n.getInstance().translateKey(gameSettings.keyToggleTextureAtlas.getId())));
-                                ingameHud.addChatMessage(String.format("%s: %s", gameSettings.keyReleaseCursor.getKeyName(), I18n.getInstance().translateKey(gameSettings.keyReleaseCursor.getId())));
+                                hudIngame.addChatMessage(String.format("%s: %s", gameSettings.keyToggleTextureAtlas.getKeyName(), I18n.getInstance().translateKey(gameSettings.keyToggleTextureAtlas.getId())));
+                                hudIngame.addChatMessage(String.format("%s: %s", gameSettings.keyReleaseCursor.getKeyName(), I18n.getInstance().translateKey(gameSettings.keyReleaseCursor.getId())));
                             }
                             if (gameSettings.keyReload.isPressEvent())
                             {
@@ -1554,7 +1553,7 @@ public class Minecraft
                             }
                             else if (gameSettings.keyFullbright.isPressEvent())
                             {
-                                ClientPacketHandler queue = getSendQueue();
+                                PacketHandlerClient queue = getSendQueue();
 
                                 if (queue != null)
                                 {
@@ -1577,43 +1576,43 @@ public class Minecraft
                                         }
                                     }
                                 }
-                                ingameHud.heldItemTooltipElement.setString("Fullbright: " + (fullbright ? "On" : "Off"));
+                                hudIngame.heldItemTooltipElement.setString("Fullbright: " + (fullbright ? "On" : "Off"));
                             }
                             else if (gameSettings.keyLightmaps.isPressEvent())
                             {
                             	if(gameSettings.lightmapStyle.value == LightmapStyle.DISABLED) {
                             		gameSettings.lightmapStyle.value = LightmapStyle.GRAY;
-                            		ingameHud.heldItemTooltipElement.setString("Lightmap: On");
+                            		hudIngame.heldItemTooltipElement.setString("Lightmap: On");
                             		renderGlobal.loadRenderers();
                             	}else {
                             		gameSettings.lightmapStyle.value = LightmapStyle.DISABLED;
-                            		ingameHud.heldItemTooltipElement.setString("Lightmap: Off");
+                            		hudIngame.heldItemTooltipElement.setString("Lightmap: Off");
                             		renderGlobal.loadRenderers();
                             	}
                             }
                             else if (gameSettings.keyCollisionBoxes.isPressEvent())
                             {
                             	gameSettings.showCollisionBoxes.toggle();
-                                ingameHud.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.showCollisionBoxes);
+                                hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.showCollisionBoxes);
                             }
                             else if (gameSettings.keyChunkBorders.isPressEvent())
                             {
                             	gameSettings.showChunkBorders.toggle();
-                                ingameHud.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.showChunkBorders);
+                                hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.showChunkBorders);
                             }
                             else if (gameSettings.keyClearChat.isPressEvent())
                             {
-                                ingameHud.clearChatMessages();
+                                hudIngame.clearChatMessages();
                             }
                             else if (gameSettings.keyPauseLostFocus.isPressEvent())
                             {
                                 gameSettings.pauseOnLostFocus.toggle();
-                                ingameHud.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.pauseOnLostFocus);
+                                hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.pauseOnLostFocus);
                             }
                             else if (gameSettings.keyToggleItemInfo.isPressEvent())
                             {
                                 gameSettings.showItemDebugInfo.toggle();
-                                ingameHud.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.showItemDebugInfo);
+                                hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.showItemDebugInfo);
                             }
                             else if (gameSettings.keyReloadChunks.isPressEvent())
                             {
@@ -1623,7 +1622,7 @@ public class Minecraft
                             {
                                 gameSettings.ambientOcclusion.toggle();
                                 gameSettings.ambientOcclusion.onUpdate();
-                                ingameHud.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.ambientOcclusion);
+                                hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.ambientOcclusion);
                             }
                             if(!gameSettings.keyToggleDebug.isPressEvent()) f3Press = false;
                         }
@@ -1637,7 +1636,7 @@ public class Minecraft
                         }
                         else if (gameSettings.keyCommand.isPressed())
                         {
-                            displayScreen(new ChatScreen("/"));
+                            displayScreen(new ScreenChat("/"));
                         }
                         else
                         {
@@ -1798,7 +1797,7 @@ public class Minecraft
         // Cinematic camera
         if (gameSettings.keyCinematicCamera.isPressEvent(currentInputDevice)) {
             gameSettings.smoothCamera.value = !gameSettings.smoothCamera.value;
-            ingameHud.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.smoothCamera);
+            hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.smoothCamera);
             return true;
         }
 
@@ -1823,13 +1822,13 @@ public class Minecraft
 
         // Enter photo mode
         if (gameSettings.keyPhotoMode.isPressEvent(currentInputDevice)) {
-            displayScreen(new PhotoModeScreen());
+            displayScreen(new ScreenPhotoMode());
             return true;
         }
 
         // Open chat
         if (gameSettings.keyChat.isPressEvent(currentInputDevice)) {
-            displayScreen(new ChatScreen());
+            displayScreen(new ScreenChat());
             return true;
         }
 
@@ -1896,7 +1895,7 @@ public class Minecraft
         // Toggle fog
         if (gameSettings.keyToggleFog.isPressEvent(currentInputDevice)) {
             gameSettings.renderDistance.toggle(shift ? -8 : 8);
-            ingameHud.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.renderDistance);
+            hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.renderDistance);
             return true;
         }
 
@@ -1914,7 +1913,7 @@ public class Minecraft
             }
             int newGammaStep = ((currentGammaStep + (shift ? -1 : 1)) + 5) % 5;
             gameSettings.gamma.value = newGammaStep * 0.25f;
-            ingameHud.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.gamma);
+            hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.gamma);
             return true;
         }
 
@@ -1962,26 +1961,26 @@ public class Minecraft
 
         // Open Achievements
         if (gameSettings.keyOpenAchievements.isPressEvent(currentInputDevice)) {
-            displayScreen(new AchievementsScreen(null, statsCounter));
+            displayScreen(new ScreenAchievements(null, statsCounter));
         }
 
         // Open Statistics
         if (gameSettings.keyOpenStatistics.isPressEvent(currentInputDevice)) {
-            displayScreen(new StatsScreen(null, statsCounter));
+            displayScreen(new ScreenStats(null, statsCounter));
         }
         
         return false;
     }
 
-    private InventoryScreen getInventoryScreen()
+    private ScreenInventory getInventoryScreen()
     {
         if (thePlayer.getGamemode() == Gamemode.creative)
         {
-            return new InventoryScreenCreative(thePlayer);
+            return new ScreenInventoryCreative(thePlayer);
         }
         else
         {
-            return new InventoryScreen(thePlayer);
+            return new ScreenInventory(thePlayer);
         }
     }
     
@@ -2023,7 +2022,7 @@ public class Minecraft
                 gameSettings.showPlayerList.value = !gameSettings.showPlayerList.value;
             }
             if(controller.buttonStart.pressedThisFrame()) {
-                displayScreen(new PauseScreen());
+                displayScreen(new ScreenPause());
             }
             if(controller.digitalPad.up.pressedThisFrame()) {
                 if (!thePlayer.inventory.currentItemLocked()) {
@@ -2079,7 +2078,7 @@ public class Minecraft
                 currentScreen.mouseClicked((int)controller.cursorX, (int)controller.cursorY, 10);
             }
 
-            //Inventory Controls
+            //ContainerInventory Controls
             try{
                 currentScreen.controllerInput(controller);
             }catch (Exception e) {
@@ -2273,7 +2272,7 @@ public class Minecraft
             {
                 if(player == null)
                 {
-                    thePlayer = (LocalPlayer)world.findSubclassOf(LocalPlayer.class);
+                    thePlayer = (PlayerLocal)world.findSubclassOf(PlayerLocal.class);
                 }
             }
             else if(thePlayer != null)
@@ -2287,7 +2286,7 @@ public class Minecraft
             }
             if(thePlayer == null)
             {
-                thePlayer = (LocalPlayer)playerController.createPlayer(world);
+                thePlayer = (PlayerLocal)playerController.createPlayer(world);
                 thePlayer.resetPos();
                 playerController.initPlayer(thePlayer);
             }
@@ -2466,7 +2465,7 @@ public class Minecraft
             theWorld.setEntityDead(thePlayer);
             playerGamemode = thePlayer.getGamemode();
         }
-        thePlayer = (LocalPlayer)playerController.createPlayer(theWorld);
+        thePlayer = (PlayerLocal)playerController.createPlayer(theWorld);
         thePlayer.dimension = targetDimension;
         thePlayer.setGamemode(playerGamemode);
         if (previousPlayer != null && previousPlayer.getHeldObject() != null) {
@@ -2497,17 +2496,17 @@ public class Minecraft
         thePlayer.animate4();
         playerController.adjustPlayer(thePlayer);
         prepareLevel("Respawning");
-        if(currentScreen instanceof GameOverScreen)
+        if(currentScreen instanceof ScreenGameOver)
         {
             displayScreen(null);
         }
     }
 
-    public ClientPacketHandler getSendQueue()
+    public PacketHandlerClient getSendQueue()
     {
-        if(thePlayer instanceof MultiplayerLocalPlayer)
+        if(thePlayer instanceof PlayerLocalMultiplayer)
         {
-            return ((MultiplayerLocalPlayer)thePlayer).sendQueue;
+            return ((PlayerLocalMultiplayer)thePlayer).sendQueue;
         } else
         {
             return null;
diff --git a/src/main/java/net/minecraft/client/discord/RichPresenceHandlerThread.java b/src/main/java/net/minecraft/client/discord/RichPresenceHandlerThread.java
index ba5a31f2a..e956b0a20 100644
--- a/src/main/java/net/minecraft/client/discord/RichPresenceHandlerThread.java
+++ b/src/main/java/net/minecraft/client/discord/RichPresenceHandlerThread.java
@@ -12,8 +12,8 @@ import de.jcm.discordgamesdk.CreateParams;
 import de.jcm.discordgamesdk.GameSDKException;
 import de.jcm.discordgamesdk.activity.Activity;
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.entity.player.MultiplayerLocalPlayer;
-import net.minecraft.client.gui.PauseScreen;
+import net.minecraft.client.entity.player.PlayerLocalMultiplayer;
+import net.minecraft.client.gui.ScreenPause;
 import net.minecraft.core.world.Dimension;
 import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.biome.Biomes;
@@ -148,13 +148,13 @@ public class RichPresenceHandlerThread extends Thread {
         if (minecraft.theWorld == null) {
             activity.setState("In the main menu");
         } else if (minecraft.thePlayer != null) {
-            if (minecraft.thePlayer instanceof MultiplayerLocalPlayer) {
+            if (minecraft.thePlayer instanceof PlayerLocalMultiplayer) {
                 activity.setDetails("Multiplayer");
-                int playerCount = ((MultiplayerLocalPlayer) minecraft.thePlayer).sendQueue.players.size();
+                int playerCount = ((PlayerLocalMultiplayer) minecraft.thePlayer).sendQueue.players.size();
                 activity.party().size().setCurrentSize(playerCount);
                 activity.party().size().setMaxSize(100);
             } else {
-                if (minecraft.currentScreen instanceof PauseScreen) {
+                if (minecraft.currentScreen instanceof ScreenPause) {
                     activity.setDetails("Singleplayer (paused)");
                 } else {
                     activity.setDetails("Singleplayer");
diff --git a/src/main/java/net/minecraft/client/entity/particle/GoldenArrowParticle.java b/src/main/java/net/minecraft/client/entity/particle/ParticleArrowGolden.java
similarity index 92%
rename from src/main/java/net/minecraft/client/entity/particle/GoldenArrowParticle.java
rename to src/main/java/net/minecraft/client/entity/particle/ParticleArrowGolden.java
index 57681c0ad..db708d245 100644
--- a/src/main/java/net/minecraft/client/entity/particle/GoldenArrowParticle.java
+++ b/src/main/java/net/minecraft/client/entity/particle/ParticleArrowGolden.java
@@ -4,14 +4,14 @@ import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.world.World;
 
-public class GoldenArrowParticle extends Particle {
+public class ParticleArrowGolden extends Particle {
     private final float oSize;
 
-    public GoldenArrowParticle(World world, double x, double y, double z, double xa, double ya, double za) {
+    public ParticleArrowGolden(World world, double x, double y, double z, double xa, double ya, double za) {
         this(world, x, y, z, xa, ya, za, 1.0F);
     }
 
-    public GoldenArrowParticle(World world, double x, double y, double z, double xa, double ya, double za, float scale) {
+    public ParticleArrowGolden(World world, double x, double y, double z, double xa, double ya, double za, float scale) {
         super(world, x, y, z, 0.0D, 0.0D, 0.0D);
         this.xd *= 0.1D;
         this.yd *= 0.1D;
